#!/usr/bin/env python 
PACKAGE = "computer_vision"

from dynamic_reconfigure.parameter_generator_catkin import *

gen = ParameterGenerator()

size_enum_kernel_blur = gen.enum([gen.const("Small_Gaussian",  int_t, 3, "A small kernel blur"),
                                  gen.const("Medium_Gaussian", int_t, 5, "A medium kernel blur"),
                                  gen.const("Large_Gaussian",  int_t, 7, "A large kernel blur")],
                                  "An enum to set a kernel blur size")

size_enum_kernel_canny = gen.enum([gen.const("Small_Canny",  int_t, 3, "A small Canny kernel"),
                                   gen.const("Medium_Canny", int_t, 5, "A medium Canny kernel"),
                                   gen.const("Large_Canny",  int_t, 7, "A large Canny kernel")],
                                   "An enum to set a Canny kernel size")

gen.add("size_blur_kernel", int_t, 0, "A blur kernel size", 5, 3, 7, edit_method=size_enum_kernel_blur)
gen.add("low", int_t, 0, "Canny low threshold", 100, 0, 1000)
gen.add("high", int_t, 0, "Canny high threshold", 400, 0, 10000)
gen.add("size_canny_kernel", int_t, 0, "Canny kernel size", 5, 3, 7, edit_method=size_enum_kernel_canny)

exit(gen.generate(PACKAGE, "dynamic_image", "CannyDetection"))